# $Revision: 1.18 $, $Date: 2002/10/30 05:24:43 $
Summary:	Clone of the Rally X arcade game
Summary(es):	Clon del juego Rally X
Summary(pl):	Klon gry Rally X
Summary(pt_BR):	Clone do jogo de fliperama Rally X
Name:		xrally
Version:	1.1
Release:	3
License:	GPL
Group:		X11/Applications/Games
# Source0:	ftp://ftp.linuxgames.com/xrally/%{name}-%{version}.tar.gz
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/xrally/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac_fixes.patch
Patch2:		%{name}-scorefile.patch
URL:		http://www.linuxgames.com/xrally/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
XRally is a clone of the Rally X arcade game. In Rally X, you control
a blue car which has to run through a maze-like level collecting flags
and avoiding colliding with enemy (red) cars. In order to protect
itself, the blue car can discharge clouds of smoke which stun the
enemy cars for a while. The enemy cars can also crash into each other,
what gives you some extra time. One of the main features of XRally is
that it is fully customizable. You can create custom tilesets and
levels and load them at run time, changing the entire look of the
game. (You could, for instance, create a water tileset, using boats
instead of cars.)

%description -l pl
XRally jest klonem gry Rally X. W Rally X moesz kierowa niebieskim
samochodem ktry ma przejecha przez labirynty zbirajc flagi i
unikajc kolizji z wrogimi (czerwonymi) samochodami. Aby si
zabezpieczy, niebieski samochd moe usuwa na chwil kby dymu
pozostawiane przez wrogie samochody. Wrogie samochody mog rozbija
si wzajemnie, co daje Ci troch czasu. Jedn z gwnych zalet XRally
jest dua konfigurowalno. Moesz tworzy wasne style i poziomy oraz
wczytywa je w czasie gry, zmieniajc cakowicie jej wygld. (Moesz
np. stworzy styl z wod i uy odzi zamiast samochodw.)

%description -l pt_BR
O XRally  um clone do jogo de fliperama Rally X. No Rally X, voc
controla um carro azul, que corre num labirinto e deve coletar
bandeiras, evitando colidir com os carros (vermelhos) inimigos. Para
se proteger, o carro azul pode disparar nuvens de fumaa que
desnorteiam os carros inimigos por algum tempo. Uma das principais
caractersticas do XRally  que ele  completamente configurvel. Voc
pode criar seus prprios cenrios e carreg-los na hora do jogo,
mudando todo seu aspecto grfico. Voc pode por exemplo, criar um
cenrio martimo, usando barcos ao invs de carros.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm -f maps/"Test Level"

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Arcade,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_localstatedir}/games

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

touch $RPM_BUILD_ROOT%{_localstatedir}/games/%{name}.scores

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO %{name}.lsm
%attr(2755,root,games) %{_bindir}/*
%{_datadir}/xrally
%{_applnkdir}/Games/Arcade/*
%{_pixmapsdir}/*
%attr(664,root,games) %config %verify(not md5 size mtime) %{_localstatedir}/games/%{name}.scores

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xrally.spec,v $
Revision 1.18  2002/10/30 05:24:43  kloczek
- release 3.

Revision 1.17  2002/10/29 22:08:17  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.16  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/08/10 11:23:38  kloczek
- release 2,
- added ac_fixes and scorefile patches,
- added scorefile to %files and change permission on xrally executable to
  2755/root.games,
- use new %doc.

Revision 1.14  2002/05/21 23:15:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/05/07 12:54:22  qboosh
- removed COPYING from doc (known - GPL)

Revision 1.12  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/26 09:01:55  kloczek
- desktop file moved to Games/Arcade/,
- added autoconf to BuildRequires list,
- added desktop file and png Icon to %files,
- more macros.

Revision 1.9  2002/01/22 21:43:04  ankry
- updated to 1.1; changed source URL
- adapterized
- added icon + desktop
- rel. 1, stbr

Revision 1.8  2002/01/18 02:15:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/10/10 13:45:26  qboosh
- adapterized, pl translations, BuildRequires: automake

Revision 1.6  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.5  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:26  baggins
- translated kloczkish into english

Revision 1.2  2000/03/12 03:00:51  kloczek
- rewrited in PLD style but core dumps on start.

* Thu Mar  9 2000 Pixel <pixel@mandrakesoft.com> 0.9-1mdk
- new version

* Sun Feb 13 2000 Pixel <pixel@mandrakesoft.com> 0.8-1mdk
- initial spec
